# Class AdmPanelRequest

Namespace
  adas_core.Domain.Models

Assembly
  adas-core.Domain.dll

Represents a request payload for the administrative panel operations.

    public class AdmPanelRequest

Inheritance
  object
  AdmPanelRequest

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### AdmTime

    public DateTime? AdmTime { get; set; }

#### Property Value

DateTime?

### AttendingDoctor

    public Person? AttendingDoctor { get; set; }

#### Property Value

Person

### DisTime

    public DateTime? DisTime { get; set; }

#### Property Value

DateTime?

### Id

    public string? Id { get; set; }

#### Property Value

string

### Location

    public PatientLocation? Location { get; set; }

#### Property Value

PatientLocation

### ObsertationData

    public ObservationData? ObsertationData { get; set; }

#### Property Value

ObservationData

### Observation

    public PatientObservation? Observation { get; set; }

#### Property Value

PatientObservation

### ObservationData

    public ObservationData? ObservationData { get; set; }

#### Property Value

ObservationData

### Observations

    public List<PatientObservation>? Observations { get; set; }

#### Property Value

List<PatientObservation>

### OldLocation

    public PatientLocation? OldLocation { get; set; }

#### Property Value

PatientLocation

### OldPatientNumber

    public string? OldPatientNumber { get; set; }

#### Property Value

string

### Patient

    public Person? Patient { get; set; }

#### Property Value

Person

### PatientId

    public string? PatientId { get; set; }

#### Property Value

string

### PatientNumber

    public string? PatientNumber { get; set; }

#### Property Value

string

### PointOfCareId

    public ObjectId? PointOfCareId { get; set; }

#### Property Value

ObjectId?

### PumpObservation

    public PumpObservation? PumpObservation { get; set; }

#### Property Value

PumpObservation

### PumpObservations

    public List<PumpObservation>? PumpObservations { get; set; }

#### Property Value

List<PumpObservation>

### SectionId

    public string SectionId { get; set; }

#### Property Value

string

### SectionItemBoxUpdated

    public Box? SectionItemBoxUpdated { get; set; }

#### Property Value

Box

### SectionItemGroup

    public string SectionItemGroup { get; set; }

#### Property Value

string

### SectionItems

    public Dictionary<string, object>? SectionItems { get; set; }

#### Property Value

Dictionary<string, object>

### Type

    public string? Type { get; set; }

#### Property Value

string

### UnitId

    public ObjectId? UnitId { get; set; }

#### Property Value

ObjectId?

## Methods

### ToString()

Returns a JSON representation of the current object using SerializeObject(object, Formatting) with no formatting. If serialization fails, falls back to the base ToString() implementation.

    public override string? ToString()

#### Returns

string

  A JSON-serialized string of the object, or the result of `base.ToString()` if serialization throws an exception.